<?
require_once"../system/start.php";
require_once"../system/sid.php";
require("../config.php");
$tyu="left";
$title="Форум - поиск";
head();
list($row, $myid, $ps, $fs1, $fs2) = check_login($link);
echo $fs1;
echo "$div1 <b>Поиск по Форуму</b> $div9<br />";

if (isset($_POST['search']))mysql_query("Insert into forum_search set search='".$_POST['search']."',time='".time()."'"); // запись в бд, для вывода последних запросов


//$search=NULL;
if (isset($_SESSION['search']))$search=$_SESSION['search'];
if (isset($_POST['search']))$search=$_POST['search'];

$_SESSION['search']=$search;

if (isset($_SESSION['sear']))$sear=$_SESSION['sear'];
if (isset($_POST['sear']))$sear=$_POST['sear'];

$_SESSION['sear']=$sear;

$search=ereg_replace("( ){2,}"," ",$search);
$search=ereg_replace("^( ){1,}|( ){1,}$","",$search);



if (isset($_GET['go']) && $search!='')
{
$search_a=explode(' ', $search);

for($i=0;$i<count($search_a);$i++)
{
$search_a[$i]='#'.preg_quote(esc(trim(stripcslashes(htmlspecialchars($search_a[$i]))))).'#uim';
}


if (empty($row['max'])) $row['max']=10;
$max = $row['max'];


$q_search=str_replace('%','',$search);
$q_search=str_replace(' ','%',$q_search);

if ($sear==0){ // поиск в сообщениях

$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_message` WHERE `msg` like '%".mysql_escape_string($q_search)."%'"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;

if ($k_post==0)
{
echo "<b>По вашему запросу ничего не найдено</b>\n";
}

$q=mysql_query("SELECT * FROM `forum_message` WHERE `msg` like '%".mysql_escape_string($q_search)."%' ORDER BY `id` DESC LIMIT $start, ".$max."");

}else { // в темах
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_topic` WHERE `name` like '%".mysql_escape_string($q_search)."%'"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;

if ($k_post==0)
{
echo "<b>По вашему запросу ничего не найдено</b>\n";
}

$q=mysql_query("SELECT * FROM `forum_topic` WHERE `name` like '%".mysql_escape_string($q_search)."%' ORDER BY `id` DESC LIMIT $start, ".$max."");


}
while ($post = mysql_fetch_array($q))
{
$forum=mysql_fetch_array(mysql_query("SELECT * FROM `forum_sections` WHERE `id` = '$post[section]' LIMIT 1"));
$razdel=mysql_fetch_array(mysql_query("SELECT * FROM `forum_subfor` WHERE `id` = '$post[subfor]' LIMIT 1"));
if ($sear==0)$them=mysql_fetch_array(mysql_query("SELECT * FROM `forum_topic` WHERE `id` = '$post[topic]' LIMIT 1"));
else $them=mysql_fetch_array(mysql_query("SELECT * FROM `forum_topic` WHERE `id` = '$post[id]' LIMIT 1"));
$ank=mysql_fetch_array(mysql_query("SELECT * FROM `users` WHERE `id` = $post[login] LIMIT 1"));

if($num==1){
$num=0;
}else{
$num=1;}

/*$que = mysql_query("select * from forum_message WHERE `topic` = '".$post['topic']."';");
$num_rows=mysql_num_rows($que);
$total_number=$num_rows;
if (empty($row['max'])) $row['max']=10;
$max1 = $row['max'];
$total_s=ceil($total_number/$max1);
for ($num1=0; $num1<$total_s; $num1++){
$s_number1=$num1*$max1;
}*/
if ($sear==0){

echo "$div2<a href='".H."$ank[id]'>$ank[user]</a> (".date("[d.m в H:i", $post['time']).")$div9\n";
echo "<a href='subfs/".$post['section']."'>$forum[name]</a> &gt; <a href='temes/".$post['subfor']."'>$razdel[name]</a> &gt; <a href='tema/".$post['topic']."'>$them[name]</a><br />\n";
if (empty($post['privat'])){
echo "".output_text($post['msg'])."<br />\n";
}else if($post['privat']==$row['id']||$post['login']==$row['id']||$row['id']==10||$row['id']==11){ // Если приват = челу
echo "".output_text($post['msg'])."<br />\n";
}else{ // если чел левый
echo "Приватное сообщение, видит только адресат...<br />\n";
}
echo'<br />';
}else{
echo "$div2<a href='./tema/".$post['id']."'>$post[name]</a> <a href='./tema/".$post['id']."/end'>(".mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_message` WHERE `section` = '$forum[id]' AND `subfor` = '$razdel[id]' AND `topic` = '$post[id]'"),0).")</a>$div9\n";




echo "<a href='subfs/".$post['section']."'>$forum[name]</a> &gt; <a href='temes/".$post['subfor']."'>$razdel[name]</a><br />\n";
echo'<br />';

}


}

if ($k_page>1)str("search.php?go&amp;",$k_page,$page); // Вывод страниц
}
else
echo "Введите текст, который Вы хотите найти<br />\n";




echo "<br /><form method=\"post\" action=\"search.php?go=1\">\n";
$search=stripcslashes(htmlspecialchars(esc($search)));
echo "<input type=\"text\" name=\"search\" maxlength=\"64\" value=\"$search\" /><br />\n";
if ($wap!=1){
echo $fs1;
echo "Поиск в:<br/>";
echo $fs2;
if ($sear==1){
echo "<input type=\"radio\" name=\"sear\" value=\"1\" checked/>Темах <input type=\"radio\" name=\"sear\" value=\"0\"/>Сообщениях<br />";
}else{
echo "<input type=\"radio\" name=\"sear\" value=\"1\"/>Темах <input type=\"radio\" name=\"sear\" value=\"0\" checked/>Сообщениях<br />";
}
}else{echo $fs1;
echo'Поиск в:<br />';
echo $fs2;
if ($sear==1){
echo'<select name="sear"><option value="1">Темах</option>';
echo'<option value="0">Сообщениях</option>';
echo'</select><br />';
} else {
echo'<select name="sear"><option value="0">Темах</option>';
echo'<option value="1">Сообщениях</option>';
echo'</select><br />';}
}
echo "<br /><input class=\"ibutton\" type=\"submit\" value=\"Поиск\" />\n";
echo "</form>\n";

echo '<hr /><b>Последние запросы:</b><br/>';
$s=mysql_query("SELECT * FROM `forum_search`  ORDER BY `time` DESC LIMIT 0, 5");
while ($se = mysql_fetch_array($s))
{echo $se['search']."<br />";
if (($se['time']+(3600*24))<time()) mysql_query( "delete from forum_search where id='".$se['id']."';"); // удаение записей старше 24 часов
}

echo "<br />$div1<img src=\"../img/naz.gif\" alt=\"[N]\"/> <a href=\"./index.php\">Форум</a>$div9";
if($autorize){ echo "$div1<img src=\"../img/naz.gif\" alt=\"[N]\"/> <a href=\"../enter.php\">На Главную</a>$div9";}

foot ();
?>